AAU PAR Interface
Acquirer AAU - PAR Service provides payment account reference information.
Now supports PAR history retrieval from LCM DB in descending sequence order (most recent first). Earlier only single PAR value was fetched from NDS; current version exposes a historical list via /par-history.
Pagination is available on the PAR history endpoint using page and records query parameters.
Example paginated request:
POST https://api-gateway-pp.nets.eu/lcmpar/v1/par-history?page=2&records=2
Example paginated response: { "parHistory": [ { "parList": [ { "seqNo": 1, "parInfo": { "par": "8844D3IWOQYUW1HFHFR23FF69UUYX", "scheme": "DK" } }, { "seqNo": 2, "parInfo": { "par": "9955E4JWPRZXW2HGHGS34GG70VVZY", "scheme": "DK" } } ] } ] }
page = 1-based page index (minimum: 1).
records = number of PAR history records per page.
Scroll down for code samples, example requests and responses.
Select a language for code samples from the tabs or the mobile navigation menu.
par-controller
Par Controller
Endpoint to fetch PAR history
POST /par-historyReturns PAR history (sequence and PAR info) for the provided account details with optional pagination.
Parameters
X-Request-IDstring (uuid)required
Correlation id (UUID v4). Generate a new GUID per request.
X-Acquirer-IDstringrequired
X-Provider-IDstringrequired
pageintegeroptional
1-based page index (minimum 1).
recordsintegeroptional
Records per page.
Endpoint to fetch PAR history
- C#
- PHP
- Node
- Shell
var client = new RestClient("https://api-gateway2.nets.eu/lcmpar/par-history?page=1&records=SOME_INTEGER_VALUE"); var request = new RestRequest(Method.POST); request.AddHeader("content-type", "application/json"); request.AddHeader("X-Request-ID", "SOME_STRING_VALUE"); request.AddHeader("X-Acquirer-ID", "SOME_STRING_VALUE"); request.AddHeader("X-Provider-ID", "SOME_STRING_VALUE"); request.AddParameter("application/json", "{\"REPLACE_REQUEST_BODY\":\"REPLACE_REQUEST_BODY\"}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Request body
accountInfoobjectoptional
accountTypestringoptional
Account type identifier (e.g. PAN).
encryptedDatastringoptional
JWE ciphertext containing encrypted account data. Decrypted Data contained in JWE Ciphertext element: {"account":"1234567891234567","accountExpiry":"022035"}
acquirerMerchantIdstringoptional
schemesobjectoptional
schemearrayoptional
Request body
{ "accountInfo": { "accountType": "PAN", "encryptedData": "eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9...<JWE>" }, "acquirerMerchantId": "string", "schemes": { "scheme": [ "string" ] } }
Responses
200OKoptional
parHistoryarrayoptional
parListarrayoptional
seqNointeger (int32)optional
parInfoobjectrequired
parstringrequired
schemestringrequired
401Unauthorizedoptional
403Forbiddenoptional
404Not Foundoptional
500Internal Server Erroroptional
200
{ "parHistory": [ { "parList": [ { "seqNo": 1, "parInfo": { "par": "string", "scheme": "string" } } ] } ] }
Endpoint to fetch PAR Value
POST /paymentaccountreferenceReturns payment account reference values for the provided encrypted account information.
Parameters
X-Request-IDstring (uuid)required
Correlation id (UUID v4). Generate a new GUID per request.
X-Acquirer-IDstringrequired
X-Provider-IDstringrequired
Endpoint to fetch PAR Value
- C#
- PHP
- Node
- Shell
var client = new RestClient("https://api-gateway2.nets.eu/lcmpar/paymentaccountreference"); var request = new RestRequest(Method.POST); request.AddHeader("content-type", "application/json"); request.AddHeader("X-Request-ID", "SOME_STRING_VALUE"); request.AddHeader("X-Acquirer-ID", "SOME_STRING_VALUE"); request.AddHeader("X-Provider-ID", "SOME_STRING_VALUE"); request.AddParameter("application/json", "{\"REPLACE_REQUEST_BODY\":\"REPLACE_REQUEST_BODY\"}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Request body
accountInfoobjectoptional
accountTypestringoptional
Account type identifier (e.g. PAN).
encryptedDatastringoptional
JWE ciphertext containing encrypted account data. Decrypted Data contained in JWE Ciphertext element: {"account":"1234567891234567","accountExpiry":"022035"}
acquirerMerchantIdstringoptional
schemesobjectoptional
schemearrayoptional
Request body
{ "accountInfo": { "accountType": "PAN", "encryptedData": "eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9...<JWE>" }, "acquirerMerchantId": "string", "schemes": { "scheme": [ "string" ] } }
Responses
200OKoptional
paymentAccountReferencesarrayoptional
parstringoptional
schemestringoptional
401Unauthorizedoptional
403Forbiddenoptional
404Not Foundoptional
500Internal Server Erroroptional
200
{ "paymentAccountReferences": [ { "par": "string", "scheme": "string" } ] }